Bug 127094 - GDB message:
GDB message:
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
2
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 16:37 EDT by Steven Hentschel
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:47:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Hentschel 2004-07-01 16:37:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.6) Gecko/20040510

Description of problem:
running gdbg from kdevelop produces the following output

gdb /home/user/myapp/debug/src/myapp -fullname -nx -quiet
(gdb) set edit off 
(gdb) set confirm off 
Using host libthread_db library "/lib/tls/libthread_db.so.1".
(gdb) 
(gdb) 
(gdb) set print static-members off 
(gdb) tty /dev/pts/3 
(gdb) set width 0 
(gdb) set height 0 
(gdb) set stop-on 1 
(gdb) handle SIG32 pass nostop noprint 
(gdb) handle SIG43 pass nostop noprint 
(gdb) set print asm-demangle on 
(gdb) cd /root/schedplus/debug/src 
(gdb) break schedplus.cpp:25 
Breakpoint 1 at 0x8048883: file /home/user/myapp/src/myapp.cpp, line 25.
(gdb) run 
Error while mapping shared library sections:
: Success.

(gdb) backtrace 
Error while reading shared library symbols:
: No such file or directory.

Stopped due to shared library event
#0  0x00d33480 in _dl_debug_state () from /lib/ld-linux.so.2
#1  0x00d28961 in dl_main () from /lib/ld-linux.so.2
#2  0x00d35e14 in _dl_sysdep_start () from /lib/ld-linux.so.2
#3  0x00d27ac0 in _dl_start () from /lib/ld-linux.so.2
#4  0x00d277c7 in _start () from /lib/ld-linux.so.2
(gdb) frame 0 
#0  0x00d33480 in _dl_debug_state () from /lib/ld-linux.so.2
(gdb) run 
Error while mapping shared library sections:
: Success.

(gdb) backtrace 
Error while reading shared library symbols:
: No such file or directory.
Stopped due to shared library event
#0  0x00a01480 in _dl_debug_state () from /lib/ld-linux.so.2
#1  0x009f6961 in dl_main () from /lib/ld-linux.so.2
#2  0x00a03e14 in _dl_sysdep_start () from /lib/ld-linux.so.2
#3  0x009f5ac0 in _dl_start () from /lib/ld-linux.so.2
#4  0x009f57c7 in _start () from /lib/ld-linux.so.2
(gdb) frame 0 
#0  0x00a01480 in _dl_debug_state () from /lib/ld-linux.so.2
(gdb) delete 1 
(gdb) info breakpoints 
No breakpoints or watchpoints.
(gdb) run 
Error while mapping shared library sections:
: Success.
Error while reading shared library symbols:
: No such file or directory.
(gdb) backtrace 
Stopped due to shared library event
#0  0x00178480 in _dl_debug_state () from /lib/ld-linux.so.2
#1  0x0016d961 in dl_main () from /lib/ld-linux.so.2
#2  0x0017ae14 in _dl_sysdep_start () from /lib/ld-linux.so.2
#3  0x0016cac0 in _dl_start () from /lib/ld-linux.so.2
#4  0x0016c7c7 in _start () from /lib/ld-linux.so.2
(gdb) frame 0 
#0  0x00178480 in _dl_debug_state () from /lib/ld-linux.so.2

Version-Release number of selected component (if applicable):
3.0.3

How reproducible:
Always

Steps to Reproduce:
1. create "hello world" app in Kdevelop
2. try and run gdb from Kdevelop

    

Actual Results:  Error message displayed
GDB message:
Error while reading shared library symbols: : No such file or directory.

Expected Results:  Expected to step through source code

Additional info:
Comment 1 Richard 2004-10-27 06:13:05 EDT
I got the same problem.
A simpmle hello world cant even debug in kdevelop.
Using Anjuta IDE is the same.
But DDD seemed ok as it skips the error from gdb.

Comment 2 Matthew Miller 2005-04-26 11:15:27 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-25 15:47:15 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.